%define alpha         017
%define localstatedir /var
%define upstreamversion 1.1.1

%define makecWnn 1
%define maketWnn 1
%define makekWnn 1

Summary: A Japanese character set conversion system.
Name: FreeWnn
Version: 1.11
Release: 19
Group: Applications/System
Copyright: Distributable
URL: http://www.freewnn.org
# Original Source is gziped.
Source0: ftp://ftp.freewnn.org/pub/FreeWnn/alpha/%{name}-%{upstreamversion}-a%{alpha}.tar.bz2
Source1: FreeWnn.init
Source2: cWnn.init
Source3: tWnn.init
Source4: kWnn.init
Patch0:	FreeWnn-fsstnd.patch.bz2
Patch1:	FreeWnn-ja-a017.patch.bz2
Patch2:	FreeWnn-noroot.patch.bz2
Patch3:	FreeWnn-noroot2.patch.bz2
Patch4:	jserverrc-g-jinmei.patch.bz2
# patch for ia64
Patch5: FreeWnn-ia64.patch.bz2
Patch6: FreeWnn-shared.patch.bz2
Patch7: FreeWnn-reuid.patch.bz2
Patch8: FreeWnn-fPIC.patch.bz2
Patch9: FreeWnn-nosbit.patch
Patch10: FreeWnn-dirlimit.patch
Prereq:	/sbin/chkconfig, grep, textutils, shadow-utils
Requires: FreeWnn-common, chkconfig
Conflicts: wnn6
BuildRoot: %{_tmppath}/%{name}-%{upstreamversion}-root
BuildPrereq: ncurses-devel

%description
FreeWnn is a network-extensible system for converting between the Kana
and Kanji character sets. If you install FreeWnn, you need this
package and the FreeWnn-common package.

%package devel
Summary: Development library and header files for FreeWnn.
Group: Development/Libraries

%description devel
The FreeWnn-devel package contains files needed for building programs
which will use the FreeWnn Kana-to-Kanji conversion system.

%package common
Summary: Common files needed for Wnn Kana-to-Kanji conversion.
Group: Applications/System
Prereq: grep, textutils, shadow-utils

%description common
The FreeWnn-common package contains common files needed by several
different implementations of the Wnn Kana-to-Kanji conversion system.
If you're using FreeWnn, cWnn, or kWnn, you'll need to install the
FreeWnn-common package.

%package libs
Summary: A runtime library for FreeWnn.
Group: System Environment/Libraries

%description libs
The FreeWnn-libs package contains the runtime library for running
programs with the FreeWnn Kana-to-Kanji conversion system.

%package -n cWnn
Summary: A Chinese character input system.
Group: Applications/System
Requires: FreeWnn-common, cWnn-common
Prereq: shadow-utils, cWnn-common

%description -n cWnn
The cWnn package contains a Chinese character set input system.
You'll also need to install cWnn-common.

%package -n cWnn-common
Summary: Common files needed by both the cWnn and tWnn Chinese input systems.
Group: Applications/System
Requires: FreeWnn-common
Prereq: shadow-utils

%description -n cWnn-common
The cWnn-common package contains common files needed by both the cWnn
and tWnn Chinese character set input systems.

%package -n cWnn-devel
Summary: Files needed for development of cWnn and tWnn applications.
Group: Development/Libraries

%description -n cWnn-devel
The cWnn-devel package contains the header files and library needed to
develop applications which will use the cWnn or tWnn Chinese character
set input system.

%package -n tWnn
Summary: The tWnn Chinese character set input system.
Group: Applications/System
Requires: FreeWnn-common, cWnn-common
Prereq: shadow-utils, cWnn-common

%description -n tWnn
The tWnn package contains a Chinese character set input system.


%package -n kWnn
Summary: A Korean character set input system.
Group: Applications/System
Requires: FreeWnn-common
Prereq: shadow-utils

%description -n kWnn
kWnn is a Korean character set input system.


%package -n kWnn-devel
Summary: Files needed for developing apps which will use kWnn.
Group: Development/Libraries

%description -n kWnn-devel
The kWnn-devel package contains the header files and library needed to
develop programs which will use the kWnn Korean character set input
system.

%prep
%setup -q -n %{name}-%{upstreamversion}-a%{alpha}/Xsi
%patch0 -p2
%patch1 -p2
%patch2 -p2
%patch3 -p2
%patch4 -p2
%patch5 -p2 -b .ia64
%patch6 -p2 -b .shlib
%patch7 -p2 -b .reuid
%patch8 -p2 -b .fPIC
%patch9 -p2 -b .nosbit
%patch10 -p2 -b .dl

%{__cp} -p %{SOURCE2} .

%build
%configure

## for smp system.
if [ "$SMP" != "" ]; then
  make -j$SMP "MAKE=make -j$SMP"
  make
else
  make
fi


%install
%{__rm} -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT install.man
#make DESTDIR=$RPM_BUILD_ROOT \
#    MANDIR=%{_prefix}/X11R6/man/ja_JP.ujis/man1 \
#    LIBMANDIR=%{_prefix}/X11R6/man/ja_JP.ujis/man3 \
#    install.man

%{__mkdir_p} $RPM_BUILD_ROOT/%{_datadir}/man/ja/man1
%{__mkdir_p} $RPM_BUILD_ROOT/%{_datadir}/man/ja/man3
%{__mkdir_p} $RPM_BUILD_ROOT/%{_datadir}/man/ja/man4
%{__mkdir_p} $RPM_BUILD_ROOT/%{_datadir}/man/ja/man5
cd $RPM_BUILD_ROOT/%{_datadir}/man/man1
for i in atod.1 atof.1 dtoa.1 jserver.1 oldatonewa.1 \
	uum.1 wddel.1 wdreg.1 \
	wnnkill.1 wnnstat.1 wnntouch.1
do
	mv $i $RPM_BUILD_ROOT/%{_datadir}/man/ja/man1/
done
cd $RPM_BUILD_ROOT/%{_datadir}/man/man3
for i in *.3
do
	mv $i $RPM_BUILD_ROOT/%{_datadir}/man/ja/man3/
done

cd $RPM_BUILD_ROOT/%{_datadir}/man/man4
for i in 2a_ctrl.4 2b_romkana.4 cvt_key_tbl.4 fzk.data.4 fzk.u.4 \
	hinsi_data.4 jserverrc.4 mode.4 serverdefs.4 ujis_dic.4 \
	uumkey.4 uumrc.4 wnnenvrc.4
do
	mv $i $RPM_BUILD_ROOT/%{_datadir}/man/ja/man4/
done

cd $RPM_BUILD_ROOT/%{_datadir}/man/man5
for i in pubdic.5 usr_dic.5
do
	mv $i $RPM_BUILD_ROOT/%{_datadir}/man/ja/man5/
done

%{__mkdir_p} ${RPM_BUILD_ROOT}/etc/rc.d/init.d
%{__install} -m755 %{SOURCE1} \
	$RPM_BUILD_ROOT/etc/rc.d/init.d/FreeWnn
%{__install} -m755 %{SOURCE2} \
	$RPM_BUILD_ROOT/etc/rc.d/init.d/cWnn
%{__install} -m755 %{SOURCE3} \
	$RPM_BUILD_ROOT/etc/rc.d/init.d/tWnn
%{__install} -m755 %{SOURCE4} \
	$RPM_BUILD_ROOT/etc/rc.d/init.d/kWnn

ln -sf /var/lib/wnn/ja/dic ${RPM_BUILD_ROOT}/etc/FreeWnn/ja/dic
ln -sf /var/lib/wnn/zh_CN/dic ${RPM_BUILD_ROOT}/etc/FreeWnn/zh_CN/dic
ln -sf /var/lib/wnn/zh_TW/dic ${RPM_BUILD_ROOT}/etc/FreeWnn/zh_TW/dic
ln -sf /var/lib/wnn/ko_KR/dic ${RPM_BUILD_ROOT}/etc/FreeWnn/ko_KR/dic

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%pre
# Do only for the first install
if [ "$1" = 1 ] ; then
  # Add the wnn4 lines to /etc/services
  if (grep '22273/tcp' /etc/services >/dev/null); then
    cat <<'_EOD1_' >&2
warning: The wnn4 services appear to be present in /etc/services.
_EOD1_
    true
  else
    cat <<'_EOD2_' >>/etc/services
# start of wnn4 services
wnn4              22273/tcp
# end of wnn4 services
_EOD2_
  fi
fi

# add user 'wnn'
if  ! grep -q '^wnn:' /etc/passwd
then
    /usr/sbin/useradd -M -u 49 wnn -c "Wnn System Account"
fi

%post
/sbin/chkconfig --add FreeWnn
/usr/bin/wnntouch  /var/lib/wnn/ja/dic/gerodic/g-jinmei.dic
cd /var/lib/wnn/ja/dic/pubdic
/usr/bin/wnntouch *.*

%preun
# Do only for the last un-install
if [ "$1" = 0 ] ; then
  # remove the wnn4 lines from /etc/services
  if (grep '^# start of wnn4 services$' /etc/services >/dev/null && \
      grep '^# end of wnn4 services$' /etc/services >/dev/null ); then
    sed -e '/^# start of wnn4 services$/,/^# end of wnn4 services$/d' \
        </etc/services >/tmp/services.tmp$$
    cat /tmp/services.tmp$$ >/etc/services
    rm /tmp/services.tmp$$
  else
    cat <<'_EOD3_' >&2
warning: Unable to find the lines `# start of wnn4 services' and
warning: `# end of wnn4 services' in the file /etc/services.
warning: You should remove the wnn4 services from /etc/service manually.
_EOD3_
  fi
fi
/sbin/chkconfig --del FreeWnn


%pre common
# add user 'wnn'
if ! grep -q '^wnn:' /etc/passwd
then
    /usr/sbin/useradd -M -u 49 wnn -c "Wnn System Account"
fi

%post devel
/sbin/ldconfig

%postun devel
/sbin/ldconfig

%post libs
/sbin/ldconfig

%postun libs
/sbin/ldconfig

%pre -n cWnn
# Do only for the first install
if [ "$1" = 1 ] ; then
  # Add the wnn4_Cn lines to /etc/services
  if (grep '22289/tcp' /etc/services >/dev/null); then
    cat <<'_EOD1_' >&2
warning: The cserver services appear to be present in /etc/services.
_EOD1_
    true
  else
    cat <<'_EOD2_' >>/etc/services
# start of wnn4_Cn services
wnn4_Cn              22289/tcp
# end of wnn4_Cn services
_EOD2_
  fi
fi

# add user 'wnn'
if  ! grep -q '^wnn:' /etc/passwd
then
    /usr/sbin/useradd -M -u 49 wnn -c "Wnn System Account"
fi

%post -n cWnn
/sbin/chkconfig --add cWnn
cd /var/lib/wnn/zh_CN/dic/sys
/usr/bin/cwnntouch *.*

%preun -n cWnn
# Do only for the last un-install
if [ "$1" = 0 ] ; then
  # remove the wnn4_Cn lines from /etc/services
  if (grep '^# start of wnn4_Cn services$' /etc/services >/dev/null && \
      grep '^# end of wnn4_Cn services$' /etc/services >/dev/null ); then
    sed -e '/^# start of wnn4_Cn services$/,/^# end of wnn4_Cn services$/d' \
        </etc/services >/tmp/services.tmp$$
    %{__cat} /tmp/services.tmp$$ >/etc/services
    %{__rm} /tmp/services.tmp$$
  else
    cat <<'_EOD3_' >&2
warning: Unable to find the lines `# start of wnn4_Cn services' and
warning: `# end of wnn4_Cn services' in the file /etc/services.
warning: You should remove the wnn4_Cn services from /etc/service manually.
_EOD3_
  fi
fi
/sbin/chkconfig --del cWnn

%postun -n cWnn-devel
# if you don't make libwnn.so, comment it.
/sbin/ldconfig

%pre -n tWnn
# Do only for the first install
if [ "$1" = 1 ] ; then
  # Add the wnn4_Tw lines to /etc/services
  if (grep '22321/tcp' /etc/services >/dev/null); then
    cat <<'_EOD1_' >&2
warning: The wnn4_Tw services appear to be present in /etc/services.
_EOD1_
    true
  else
    cat <<'_EOD2_' >>/etc/services
# start of wnn4_Tw services
wnn4_Tw              22321/tcp
# end of wnn4_Tw services
_EOD2_
  fi
fi

%post -n tWnn
/sbin/chkconfig --add tWnn
cd /var/lib/wnn/zh_TW/dic/sys
/usr/bin/cwnntouch *.*

# Do only for the last un-install
%preun -n tWnn
if [ "$1" = 0 ] ; then
  # remove the wnn4_Tw lines from /etc/services
  if (grep '^# start of wnn4_Tw services$' /etc/services >/dev/null && \
      grep '^# end of wnn4_Tw services$' /etc/services >/dev/null ); then
    %{__sed} -e '/^# start of wnn4_Tw services$/,/^# end of wnn4_Tw services$/d' \
        </etc/services >/tmp/services.tmp$$
    cat /tmp/services.tmp$$ >/etc/services
    rm /tmp/services.tmp$$
  else
    cat <<'_EOD3_' >&2
warning: Unable to find the lines `# start of wnn4_Tw services' and
warning: `# end of wnn4_Tw services' in the file /etc/services.
warning: You should remove the wnn4_Tw services from /etc/service manually.
_EOD3_
  fi
fi
/sbin/chkconfig --del tWnn

%pre -n kWnn
# Do only for the first install
if [ "$1" = 1 ] ; then
  # Add the wnn4_Kr lines to /etc/services
  if (grep '22305/tcp' /etc/services >/dev/null); then
    cat <<'_EOD1_' >&2
warning: The kserver services appear to be present in /etc/services.
_EOD1_
    true
  else
    cat <<'_EOD2_' >>/etc/services
# start of wnn4_Kr services
wnn4_Kr              22305/tcp
# end of wnn4_Kr services
_EOD2_
  fi
fi

%post -n kWnn
/sbin/chkconfig --add kWnn
cd /var/lib/wnn/ko_KR/dic/sys
/usr/bin/kwnntouch *.*

%preun -n kWnn
# Do only for the last un-install
if [ "$1" = 0 ] ; then
  # remove the wnn4_Kr lines from /etc/services
  if (grep '^# start of wnn4_Kr services$' /etc/services >/dev/null && \
      grep '^# end of wnn4_Kr services$' /etc/services >/dev/null ); then
    sed -e '/^# start of wnn4_Kr services$/,/^# end of wnn4_Kr services$/d' \
        </etc/services >/tmp/services.tmp$$
    cat /tmp/services.tmp$$ >/etc/services
    rm /tmp/services.tmp$$
  else
    cat <<'_EOD3_' >&2
warning: Unable to find the lines `# start of wnn4_Kr services' and
warning: `# end of wnn4_Kr services' in the file /etc/services.
warning: You should remove the wnn4_Kr services from /etc/service manually.
_EOD3_
  fi
fi
/sbin/chkconfig --del kWnn

%postun -n kWnn-devel
# if you don't make libwnn.so, comment it.
/sbin/ldconfig


%files
%defattr(-,root,root)
%doc Wnn/manual Wnn/manual.en
%config /etc/rc.d/init.d/FreeWnn
%attr(-,wnn,root) %{_bindir}/atod
%attr(-,wnn,root) %{_bindir}/dtoa
%attr(-,wnn,root) %{_bindir}/oldatonewa
%attr(-,wnn,root) %{_bindir}/wdreg
%attr(-,wnn,root) %{_bindir}/wnnstat
%attr(-,wnn,root) %{_bindir}/atof
%attr(711,wnn,root) %{_bindir}/jserver
%attr(-,wnn,root) %{_bindir}/wddel
%attr(-,wnn,root) %{_bindir}/wnnkill
%attr(-,wnn,root) %{_bindir}/wnntouch
%{_mandir}/ja/man1/*
%{_mandir}/ja/man4/*
%{_mandir}/ja/man5/*
%attr(-,wnn,root)/var/lib/wnn/ja/dic
%dir /etc/FreeWnn/ja
/etc/FreeWnn/ja/dic
%config /etc/FreeWnn/ja/hinsi.data
%config /etc/FreeWnn/ja/jserverrc
%config /etc/FreeWnn/ja/libwnn.msg
%config /etc/FreeWnn/ja/rk
%config /etc/FreeWnn/ja/rk.vi
%config /etc/FreeWnn/ja/uum.msg
%config /etc/FreeWnn/ja/uumkey
%config /etc/FreeWnn/ja/uumkey.omr
%config /etc/FreeWnn/ja/uumkey_e
%config /etc/FreeWnn/ja/uumrc
%config /etc/FreeWnn/ja/uumrc.omr
%config /etc/FreeWnn/ja/uumrc.rev
%config /etc/FreeWnn/ja/uumrc_e
%config /etc/FreeWnn/ja/uumrc_vi
%config /etc/FreeWnn/ja/wnnenvrc
%config /etc/FreeWnn/ja/wnnenvrc.omr
%config /etc/FreeWnn/ja/wnnenvrc.rem
%config /etc/FreeWnn/ja/wnnenvrc.rev
%config /etc/FreeWnn/ja/wnnenvrc_R
%config /etc/FreeWnn/ja/wnnenvrc_R.omr
%config /etc/FreeWnn/ja/wnnenvrc_R.rem
%config /etc/FreeWnn/ja/wnnstat.msg
%dir /etc/FreeWnn/lt_LN
/etc/FreeWnn/lt_LN/rk
%config /etc/FreeWnn/lt_LN/uum.msg
%config /etc/FreeWnn/lt_LN/uumkey
%config /etc/FreeWnn/lt_LN/uumkey_e
%config /etc/FreeWnn/lt_LN/uumrc

%files devel
%defattr(-,root,root)
%{_includedir}/wnn/*
%{_libdir}/libjd.a
%{_libdir}/libwnn.a
%{_libdir}/libwnn.so
%{_mandir}/ja/man3/*

%files libs
%defattr(-,root,root)
%{_libdir}/libwnn.so.0.0.1
%{_libdir}/libwnn.so.0

%files common
%defattr(-,root,root)
%doc CONTRIBUTORS ChangeLog
%dir /etc/FreeWnn
%config /etc/FreeWnn/cvt_key_empty
%config /etc/FreeWnn/cvt_key_tbl
%config /etc/FreeWnn/cvt_key_tbl.ST
%config /etc/FreeWnn/cvt_key_tbl.gm
%config /etc/FreeWnn/cvt_key_tbl.kt
%config /etc/FreeWnn/cvt_key_tbl.mv
%config /etc/FreeWnn/cvt_key_tbl.vt
%config /etc/FreeWnn/serverdefs

%files -n cWnn
%if %{makecWnn}
%defattr(-,root,root)
%config /etc/rc.d/init.d/cWnn
%attr(711,wnn,root) %{_bindir}/cserver
%dir /etc/FreeWnn/zh_CN
%config /etc/FreeWnn/zh_CN/cixing.data
%config /etc/FreeWnn/zh_CN/cserverrc
/etc/FreeWnn/zh_CN/dic
%attr(-,wnn,root)/var/lib/wnn/zh_CN/dic
%config /etc/FreeWnn/zh_CN/libwnn.msg
/etc/FreeWnn/zh_CN/rk
/etc/FreeWnn/zh_CN/rk_p
/etc/FreeWnn/zh_CN/rk_z
/etc/FreeWnn/zh_CN/uum.msg
/etc/FreeWnn/zh_CN/uumkey
/etc/FreeWnn/zh_CN/uumkey_e
/etc/FreeWnn/zh_CN/uumkey_p
%config /etc/FreeWnn/zh_CN/uumrc
%config /etc/FreeWnn/zh_CN/uumrc_p
%config /etc/FreeWnn/zh_CN/uumrc_z
%config /etc/FreeWnn/zh_CN/wnnenvrc
%config /etc/FreeWnn/zh_CN/wnnenvrc_Qi
%config /etc/FreeWnn/zh_CN/wnnenvrc_QiR
%config /etc/FreeWnn/zh_CN/wnnenvrc_R
%config /etc/FreeWnn/zh_CN/wnnenvrc_Wu
%config /etc/FreeWnn/zh_CN/wnnenvrc_WuR
%config /etc/FreeWnn/zh_CN/wnnstat.msg
%{_mandir}/man1/cserver.1*
%endif

%files -n cWnn-common
%if %{makecWnn}
%defattr(-,root,root)
%doc cWnn/manual cWnn/manual.en
%{_bindir}/catod
%{_bindir}/catof                  
%{_bindir}/cdtoa
%{_bindir}/cwddel
%{_bindir}/cwdreg
%{_bindir}/cwnnkill
%{_bindir}/cwnnstat
%{_bindir}/cwnntouch
%{_mandir}/man1/catod.1*
%{_mandir}/man1/catof.1*
%{_mandir}/man1/cdicsort.1*
%{_mandir}/man1/cdtoa.1*
%{_mandir}/man1/cuum.1*
%{_mandir}/man1/cwddel.1*
%{_mandir}/man1/cwdreg.1*
%{_mandir}/man1/cwnnkill.1*
%{_mandir}/man1/cwnnstat.1*
%{_mandir}/man4/cenv.4*
%{_mandir}/man4/ckey.4*
%{_mandir}/man4/cwnn.4*
%{_mandir}/man4/cst_end.4*
%endif

%files -n cWnn-devel
%if %{makecWnn}
%defattr(-,root,root)
%{_includedir}/cwnn/*
%{_libdir}/libcwnn.a
%endif

%files -n tWnn
%if %{maketWnn}
%defattr(-,root,root)
%config /etc/rc.d/init.d/tWnn
%attr(711,wnn,root) %{_bindir}/tserver
%dir /etc/FreeWnn/zh_TW
%config /etc/FreeWnn/zh_TW/cixing.data
/etc/FreeWnn/zh_TW/dic
%attr(-,wnn,root) /var/lib/wnn/zh_TW/dic
%config /etc/FreeWnn/zh_TW/libwnn.msg
/etc/FreeWnn/zh_TW/rk
/etc/FreeWnn/zh_TW/rk_p
/etc/FreeWnn/zh_TW/rk_z
%config /etc/FreeWnn/zh_TW/tserverrc
%config /etc/FreeWnn/zh_TW/uum.msg
%config /etc/FreeWnn/zh_TW/uumkey
%config /etc/FreeWnn/zh_TW/uumkey_e
%config /etc/FreeWnn/zh_TW/uumkey_p
%config /etc/FreeWnn/zh_TW/uumrc
%config /etc/FreeWnn/zh_TW/uumrc_p
%config /etc/FreeWnn/zh_TW/uumrc_z
%config /etc/FreeWnn/zh_TW/wnnenvrc
%config /etc/FreeWnn/zh_TW/wnnenvrc_R
%config /etc/FreeWnn/zh_TW/wnnstat.msg
%endif

%files -n kWnn
%if %{makekWnn}
%defattr(-,root,root)
%config /etc/rc.d/init.d/kWnn
%{_bindir}/katod
%{_bindir}/katof
%{_bindir}/kdtoa
%attr(711,wnn,root) %{_bindir}/kserver
%{_bindir}/kwddel
%{_bindir}/kwdreg
%{_bindir}/kwnnkill
%{_bindir}/kwnnstat
%{_bindir}/kwnntouch
%dir /etc/FreeWnn/ko_KR
/etc/FreeWnn/ko_KR/dic
%attr(-,wnn,root) /var/lib/wnn/ko_KR/dic
%config /etc/FreeWnn/ko_KR/hinsi.data
%config /etc/FreeWnn/ko_KR/kserverrc
%config /etc/FreeWnn/ko_KR/libwnn.msg
/etc/FreeWnn/ko_KR/rk
%config /etc/FreeWnn/ko_KR/uum.msg
%config /etc/FreeWnn/ko_KR/uumkey
%config /etc/FreeWnn/ko_KR/uumrc
%config /etc/FreeWnn/ko_KR/wnnenvrc
%config /etc/FreeWnn/ko_KR/wnnenvrc_R
%config /etc/FreeWnn/ko_KR/wnnstat.msg
%endif

%files -n kWnn-devel
%if %{makekWnn}
%defattr(-,root,root)
%{_includedir}/kwnn/*
%{_libdir}/libkwnn.a
%endif

%changelog
* Mon Aug 27 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add patch to set limit the wnn user directory.

* Tue Aug 14 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add nosbit patch
- Change *server mode 4711 -> 711

* Mon Jul 23 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add ncurses-devel to BuildPrereq. (#44720)
- Add chkconfig to reduce build errors.

* Mon Jul  9 2001 Matt Wilson <msw@redhat.com>
- disable cWnn, tWnn, kWnn and their subpackages
- re-enable [ctk]Wnn

* Tue Feb  6 2001 Matt Wilson <msw@redhat.com>
- added Prereq: /sbin/chkconfig to main package
- added Prereqs for common subpackage

* Mon Jan 29 2001 Trond Eivind Glomsrd <teg@redhat.com>
- new init style (no gprintf)

* Wed Jan 24 2001 Adrian Havill <havill@redhat.com>
- fixed useradd to be consistent with other useradd pkg behavior
- changed default uid/gid to match internal RH allocation

* Tue Jan 23 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add post and postun for -devel, -libs
- More fix about grep command.
- defattr added.
- Add -fPIC patch for IA64
- Update FreeWnn.init, cWnn.init, kWnn.init, tWnn.init
  to suppport RH color'ed

* Tue Jan 23 2001 Yukihiro Nakai <ynakai@redhat.com>
- secured so both EUID and RUID are set (havill@redhat.com)

* Mon Jan 22 2001 Yukihiro Nakai <ynakai@redhat.com>
- Split the runtime libraries.
- Build libwnn.so
- bzip2

* Sat Dec 19 2000 Satoru Sato <ssato@redhat.com>
- fix SPEC

* Sat Dec 09 2000 Yukihiro Nakai <ynakai@redhat.com>
- Add ia64 patch.

* Thu Sep 13 2000 Satoru Sato <ssato@redhat.com>
- (c|k|t)Wnn daemon are not started by default.

* Thu Sep  7 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- initfile move back /etc/init.d -> /etc/rc.d/init.d

* Fri Aug  4 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- move /etc/rc.d/init.d -> /etc/init.d

* Fri Aug  4 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- ported from Vine Linux
- Built for RedHat 7.0

* Tue Jul 25 2000 Lisa Sagami <czs14350@mb.infoweb.ne.jp>
- changed: each package (except devel) owns /etc/FreeWnn/* by adding %dir
- modified again *.init to do with socket left in /tmp 

* Fri Jul 14 2000 Lisa Sagami <czs14350@nifty.ne.jp>
- add %pre to addusr 127/wnn to avoid non-root build failure
- modified *.init to do with socket left in /tmp 
- correct %doc

* Tue Jul 11 2000 Masato Bito <masato@nets.ce.hiroshima-cu.ac.jp>
- 1.1.1-1vl3
- modified %patch0 -p3 -> %patch0 -p2
- modified BuildRoot:

* Thu Jul  6 2000 Jun Nishii <jun@vinelinux.org>
- 1.1.1-1vl2
- fix bug in FreeWnn-ja-a017.patch

* Wed Jul  5 2000 Jun Nishii <jun@vinelinux.org>
- 1.1.1-1vl1
- handle man page compress
- update to FreeWnn-1.1.1-a017

* Mon Jan 31 2000 Norihito Ohmori <nono@kondara.org>
- ja_JP -> ja
- configuration file move to /etc
- change group.
- add cWnn and kWnn.
- add FreeWnn-common Package.
- remove sample.eggrc

* Tue Jan 25 2000 Norihito Ohmori <nono@vinelinux.org>
- add defattr and attr for %files section

* Tue Nov 23 1999 Norihito Ohmori <ohmori@flatout.org>
- add Requires: chkconfig
- Conflicts change from Wnn6 to wnn6

* Fri Nov 12 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
- FreeWnn-1.1.1-0.a013.4
- added Prereq: grep,textutils

* Wed Nov 10 1999 Jun Nishii <jun@flatout.org>
- remove cWnn and kWnn

* Sun Nov  7 1999 Yasuhide OOMORI <dasen@typhoon.co.jp>
- [FreeWnn-1.1.1-0.a013.2]
- Added a sample file of .eggrc to utilize gerodic.
- Now do not ldconfig after installation of FreeWnn-devel.
- Enabled you to compile with multi processors.
- Added 'Prereq: shadow-utils' for installation.
- Modified FreeWnn-jserver.script against error at boot time.

* Wed Oct 20 1999 Yasuhide OOMORI <dasen@typhoon.co.jp>
- [FreeWnn-1.1.1-0.a013.1]
- Updated to FreeWnn-1.1.1-a013.
- Separated cWnn,kWnn packages again.
- Make this package relocatable.
- Keep jserverrc and wnnenvrc when upgrading.

* Fri Sep 24 1999 Masaru Yokoi <yokoi @yk.fks.ryukoku.ac.jp>
- [FreeWnn-1.10-3]
- Added /var/lib/wnn/*/dic/usr .
- Moved libwnn.a from FreeWnn package to FreeWnn-devel package.
- Moved Japanese manuals from /usr/X11R6/man/man*
- to /usr/X11R6/man/ja_JP.ujis/man* .

* Wed Aug 11 1999 Masaru Yokoi <yokoi@yk.fks.ryukoku.ac.jp>
- First release.  Original idea is Sat Jul 12 1999 Norihito Ohmori
- <ohmori@flatout.org>

